local assets=
{
	Asset("ANIM", "anim/bluepick.zip"),
	Asset("ANIM", "anim/swap_bluepick.zip"),
	Asset("IMAGE", "images/inventoryimages/bluepick.tex"),
    Asset("ATLAS", "images/inventoryimages/bluepick.xml"),
}

local function onfinished(inst)
    inst:Remove()
end

local function onequip(inst, owner) 
    owner.AnimState:OverrideSymbol("swap_object", "swap_bluepick", "swap_goldenpickaxe")
    owner.AnimState:Show("ARM_carry") 
    owner.AnimState:Hide("ARM_normal")
end

local function onunequip(inst, owner) 
    owner.AnimState:Hide("ARM_carry") 
    owner.AnimState:Show("ARM_normal") 
end


local function fn(Sim)
	local inst = CreateEntity()
	local trans = inst.entity:AddTransform()
	local anim = inst.entity:AddAnimState()
    inst.entity:AddSoundEmitter()        
    MakeInventoryPhysics(inst)
    
    anim:SetBank("pickaxe")
    anim:SetBuild("bluepick")
    anim:PlayAnimation("idle")
    
    inst:AddTag("sharp")
    
    -----
    inst:AddComponent("tool")
    inst.components.tool:SetAction(ACTIONS.MINE, 2)
    -------
    inst:AddComponent("finiteuses")
    
    inst.components.finiteuses:SetMaxUses(TUNING.PICKAXE_USES)
    inst.components.finiteuses:SetUses(TUNING.PICKAXE_USES)
    inst.components.finiteuses:SetOnFinished( onfinished) 
    inst.components.finiteuses:SetConsumption(ACTIONS.MINE, 0.25)

    -------
    
    
    inst:AddComponent("weapon")
    inst.components.weapon:SetDamage(TUNING.PICK_DAMAGE)
    
    inst:AddComponent("inspectable")
	
	STRINGS.CHARACTERS.GENERIC.DESCRIBE.BLUEPICK = {	
	"Erik's really cool!", 
}
    
    inst:AddComponent("inventoryitem")
    inst.components.inventoryitem.imagename = "bluepick"
    inst.components.inventoryitem.atlasname = "images/inventoryimages/bluepick.xml"
    inst.components.inventoryitem:GetImage()
    inst.components.inventoryitem:GetAtlas()
    
    inst:AddComponent("equippable")
    
    inst.components.equippable:SetOnEquip( onequip )
    inst.components.equippable:SetOnUnequip( onunequip )
	
    return inst
end


return Prefab( "common/inventory/bluepick", fn, assets)

