
local MakePlayerCharacter = require "prefabs/player_common"

local assets = {
 
Asset( "ANIM", "anim/player_basic.zip" ),
Asset( "ANIM", "anim/player_idles_shiver.zip" ),
Asset( "ANIM", "anim/player_actions.zip" ),
Asset( "ANIM", "anim/player_actions_axe.zip" ),
Asset( "ANIM", "anim/player_actions_pickaxe.zip" ),
Asset( "ANIM", "anim/player_actions_shovel.zip" ),
Asset( "ANIM", "anim/player_actions_blowdart.zip" ),
Asset( "ANIM", "anim/player_actions_eat.zip" ),
Asset( "ANIM", "anim/player_actions_item.zip" ),
Asset( "ANIM", "anim/player_actions_uniqueitem.zip" ),
Asset( "ANIM", "anim/player_actions_bugnet.zip" ),
Asset( "ANIM", "anim/player_actions_fishing.zip" ),
Asset( "ANIM", "anim/player_actions_boomerang.zip" ),
Asset( "ANIM", "anim/player_bush_hat.zip" ),
Asset( "ANIM", "anim/player_attacks.zip" ),
Asset( "ANIM", "anim/player_idles.zip" ),
Asset( "ANIM", "anim/player_rebirth.zip" ),
Asset( "ANIM", "anim/player_jump.zip" ),
Asset( "ANIM", "anim/player_amulet_resurrect.zip" ),
Asset( "ANIM", "anim/player_teleport.zip" ),
Asset( "ANIM", "anim/wilson_fx.zip" ),
Asset( "ANIM", "anim/player_one_man_band.zip" ),
Asset( "ANIM", "anim/shadow_hands.zip" ),
Asset( "SOUND", "sound/sfx.fsb" ),
Asset( "SOUND", "sound/wilson.fsb" ),
Asset( "ANIM", "anim/beard.zip" ),
 
 
-- Don't forget to include your character's custom assets!
Asset( "ANIM", "anim/ebsol.zip" ),
Asset( "ANIM", "anim/mebsol.zip" ),
}
local prefabs = {}
 
local start_inv =
{
"life_bottle",
"life_bottle",
"life_bottle",
}
 
local function Mebsol(inst)
if GetClock():GetMoonPhase() == "full" then
if (inst:HasTag("ebsol")) then
inst.components.locomotor:StopMoving()
inst.components.playercontroller:Enable(false)
inst:DoTaskInTime(0.3, function()
if GetClock():IsNight() then
inst.SoundEmitter:KillSound("talk")
inst:AddTag("mebsol")
SpawnPrefab("statue_transition").Transform:SetPosition(inst:GetPosition():Get())
SpawnPrefab("statue_transition_2").Transform:SetPosition(inst:GetPosition():Get())
inst.AnimState:PlayAnimation("idle_loop")
inst.components.talker:Say("Arooo! I FEEL STONGER!")
inst.SoundEmitter:PlaySound("dontstarve/wilson/use_gemstaff")
inst.AnimState:SetBuild("mebsol")
inst:RemoveTag("ebsol")
table.insert(inst.components.eater.foodprefs, "NIGHTMAREFUEL") 
inst.components.playercontroller:Enable(true)
inst.components.health.absorb = 0.45
inst.components.combat.damagemultiplier = 3
inst.components.hunger:SetRate(TUNING.WILSON_HUNGER_RATE * 0.6)
inst.components.locomotor.walkspeed = (TUNING.WILSON_WALK_SPEED * 1.5)
inst.components.locomotor.runspeed = (TUNING.WILSON_RUN_SPEED * 1.7)
inst.components.temperature.hurtrate = (TUNING.WILSON_HEALTH / TUNING.FREEZING_KILL_TIME) / 0.3
inst.components.eater.strongstomach = true
inst.components.sanity.neg_aura_mult = 0
inst:AddTag("insomniac")
inst:AddTag("monster")
inst.entity:AddLight()
inst.Light:SetRadius(10)
inst.Light:SetFalloff(1)
inst.Light:SetIntensity(0.5)
inst.Light:SetColour(128/255,128/255,255/255)
inst.Light:Enable(true)
inst.components.talker.colour = Vector3(220/255, 24/255, 24/255)
 
TUNING.SANITY_NIGHT_LIGHT = 15/60
TUNING.SANITY_NIGHT_MID = 15/60
TUNING.SANITY_NIGHT_DARK = -7/60
TUNING.SANITY_DAY_GAIN = -30/60
end
end)
end
end GetWorld()
end
 
local function Ebsol(inst)
if (inst:HasTag("mebsol")) then
inst.components.locomotor:StopMoving()
inst.components.playercontroller:Enable(false)
inst:DoTaskInTime(0.3, function()
inst:AddTag("ebsol")
inst:RemoveTag("mebsol")
inst.AnimState:SetBuild("ebsol")
inst.components.playercontroller:Enable(true)
inst.components.health.absorb = 0
inst.components.combat.damagemultiplier = 2
inst.components.hunger:SetRate(TUNING.WILSON_HUNGER_RATE * 0.9)
inst.components.locomotor.walkspeed = (TUNING.WILSON_WALK_SPEED * 1.3)
inst.components.locomotor.runspeed = (TUNING.WILSON_RUN_SPEED * 1.5)
inst.components.temperature.hurtrate = (TUNING.WILSON_HEALTH / TUNING.FREEZING_KILL_TIME) / 0.5
inst.components.sanity.neg_aura_mult = 0
table.insert(inst.components.eater.foodprefs, "NIGHTMAREFUEL") 
inst.components.talker.colour = Vector3(24/255, 122/255, 122/255)
SpawnPrefab("statue_transition").Transform:SetPosition(inst:GetPosition():Get())
SpawnPrefab("statue_transition_2").Transform:SetPosition(inst:GetPosition():Get())
inst.AnimState:PlayAnimation("idle_loop")
inst.components.talker:Say("Woah... that was AWESOME!")

TUNING.SANITY_NIGHT_LIGHT = 15/60
TUNING.SANITY_NIGHT_MID = 15/60
TUNING.SANITY_NIGHT_DARK = -7/60
TUNING.SANITY_DAY_GAIN = -30/60
end)
end
end
 

local function onsave (inst, data)
local mebsol = inst:HasTag("mebsol")
if mebsol then
data.mebsol = true
end
 
end
 
local function onload(inst, data)
if data.mebsol then
Mebsol(inst)
end
 
end
 
local fn = function(inst)
 
-- choose which sounds this character will play
inst.soundsname = "ebsol"
 
-- a minimap icon must be specified 
inst.entity:AddMiniMapEntity()
inst.MiniMapEntity:SetIcon( "ebsolicon.tex" )
 
 
-- todo: Add an example special power here. 
inst.components.health:SetMaxHealth(200)
inst.components.hunger.max = 100
inst.components.sanity.max = 150
inst.components.combat.damagemultiplier = 2
inst.components.hunger:SetRate(TUNING.WILSON_HUNGER_RATE * 0.9)
inst.components.locomotor.walkspeed = (TUNING.WILSON_WALK_SPEED * 1.3)
inst.components.locomotor.runspeed = (TUNING.WILSON_RUN_SPEED * 1.5)
inst.components.temperature.hurtrate = (TUNING.WILSON_HEALTH / TUNING.FREEZING_KILL_TIME) / 0.25
inst.components.eater.strongstomach = true
inst.components.sanity.neg_aura_mult = 0
inst:AddTag("insomniac")
inst:AddTag("monster")
inst.entity:AddLight()
inst.Light:SetRadius(10)
inst.Light:SetFalloff(1)
inst.Light:SetIntensity(0.5)
inst.Light:SetColour(128/255,128/255,255/255)
inst.Light:Enable(true)
inst.components.talker.colour = Vector3(24/255, 122/255, 122/255)
table.insert(inst.components.eater.foodprefs, "NIGHTMAREFUEL") 
TUNING.SANITY_NIGHT_LIGHT = 15/60
TUNING.SANITY_NIGHT_MID = 15/60
TUNING.SANITY_NIGHT_DARK = -7/60
TUNING.SANITY_DAY_GAIN = -30/60
 
inst:AddTag("ebsol")
inst:ListenForEvent( "nighttime", function() Mebsol(inst) end, GetWorld() )
inst:ListenForEvent( "daytime", function() Ebsol(inst) end, GetWorld() )
inst.OnSave = onsave
inst.OnLoad = onload

inst:DoPeriodicTask(0.01, function()
if not (inst:HasTag("monster")) then
inst:AddTag("monster")
end
end)

end
 
		
return MakePlayerCharacter("ebsol", prefabs, assets, fn, start_inv)
